<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/
class Core_Widget_BannerController extends Engine_Content_Widget_Abstract
{
  public function indexAction()
  {
    // Get banner
    $bannerId = $this->_getParam('banner_id', 0);
    $this->view->banner = $banner = Engine_Api::_()->getDbtable('banners', 'core')->getBanner($bannerId);
    if( !$banner ) {
      return $this->setNoRender();
    }
  }
}
